Lavalite package that provides shop management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `shop/shop`.

    "shop/shop": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Shop\Shop\Providers\ShopServiceProvider::class,

And also add it to alias

    'Shop'  => Shop\Shop\Facades\Shop::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Shop\\ShopTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Shop\Shop\Providers\ShopServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Shop\Shop\Providers\ShopServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Shop\Shop\Providers\ShopServiceProvider" --tag="view"


## Usage


